please clarify error 'Could not find changelog at "debian/changelog"'

Bug #811459 reported by KarlGoetz on 2011-07-16
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
bzr-builddeb
Low
Jelmer Vernooij

Bug Description

hi,

I have a repo which has a layout like this:

reporoot/packagename/debian
reporoot/packagename2/debian
reporoot/packagename3/debian

If i try and run dpkg-buildpackage from one of the package directories i get the error 'Could not find changelog at "debian/changelog"'. This is *really* confusiing, as an ls will show debian/changelog where i expect it.

It was suggested on IRC that it might be meaning reporoot/debian/changelog. If thats the case, please update the error to clarify that point.

thanks,
kk

 $ ls debian/ |grep changelog
-rw-r--r-- 1 kgoetz kgoetz 111K Jul 5 13:35 changelog
 $ bzr-buildpackage
Building using working tree
bzr: ERROR: Could not find changelog at "debian/changelog".

Related branches

On Sat, 2011-07-16 at 10:36 +0000, KarlGoetz wrote:
> I have a repo which has a layout like this:
>
> reporoot/packagename/debian
> reporoot/packagename2/debian
> reporoot/packagename3/debian
>
> If i try and run dpkg-buildpackage from one of the package directories i
> get the error 'Could not find changelog at "debian/changelog"'. This is
> *really* confusiing, as an ls will show debian/changelog where i expect
> it.
s/dpkg-buildpackage/bzr builddeb/ ?

Cheers,

Jelmer

KarlGoetz (kgoetz) wrote :

On Sat, 16 Jul 2011 12:56:38 -0000
Jelmer Vernooij <email address hidden> wrote:

> On Sat, 2011-07-16 at 10:36 +0000, KarlGoetz wrote:
> > I have a repo which has a layout like this:
> >
> > reporoot/packagename/debian
> > reporoot/packagename2/debian
> > reporoot/packagename3/debian
> >
> > If i try and run dpkg-buildpackage from one of the package
> > directories i get the error 'Could not find changelog at
> > "debian/changelog"'. This is *really* confusiing, as an ls will
> > show debian/changelog where i expect it.
> s/dpkg-buildpackage/bzr builddeb/ ?

yeah, sorry. bzr-builddeb.
thanks,
kk

--
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group

Jelmer Vernooij (jelmer) on 2011-07-19
Changed in bzr-builddeb:
status: New → Triaged
importance: Undecided → Low
Jelmer Vernooij (jelmer) on 2012-01-02
Changed in bzr-builddeb:
status: Triaged → Fix Committed
status: Fix Committed → In Progress
assignee: nobody → Jelmer Vernooij (jelmer)
Jelmer Vernooij (jelmer) on 2012-01-18
Changed in bzr-builddeb:
status: In Progress → Fix Released
milestone: none → 2.8.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers